Can't git clone anymore after recent QTS updates

Discussion about using NAS on Linux and Unix OS.
Post Reply
frueter
Starting out
Posts: 38
Joined: Thu Nov 14, 2013 7:22 am

Can't git clone anymore after recent QTS updates

Post by frueter » Sat Aug 12, 2017 11:41 am

Hi,

I sent the following to support but they just said they can't help saying:
sorry we support nas GUI/web function only , for you question maybe you can try qnap forum

Interesting level of support for a company that I gave about $17k for hardware to. Anyway, here is the description I sent in:

I am having trouble cloning a git repository from a remote online to either of my QNAPs.
An example command I am running from my linux workstations is this:
git clone https://github.com/mottosso/Qt.py.git

This is the error I get:
Cloning into 'Qt.py'...
remote: Counting objects: 1968, done.
fatal: Unable to create temporary file '/ohufx/transfer/test/Qt.py/.git/objects/pack/tmp_pack_XXXXXX': Permission denied
fatal: index-pack failed


I have done this numerous times without trouble over the past year, and the only thing that has changed is that I updated QTS a couple of times since I last was able to clone git repos.

I can clone a repo fine to my local drives and also to a mac minis that I have mounted to my linux machine via nfs (same mount type as the QNAPs).
Curiously I can also successfully clone to the QNAP from an OSX machine that has the QNAP mounted via nfs (same mount as the linux machine), and even cloning onto the QNAP from a virtual windows machine works.

The only time I get the above error is when I try to clone to either of the QNAPs via a nfs mount on linux (Centos 7), so it seems to be a bug in the latest QTS?!
Nothing has changed in years about how I mount the QNAP on my linux, osx and windows machines.

This is the line I use in my /etc/fstab on linux and osx to mount the QNAP named "closet":
closet:/ohufx/transfer/ /ohufx/transfer nfs rw,nosuid 0 0

Does anybody know what's going on here?

The two QNAPs I am using are TS-879 Pro and TVS-1271U-RP with QTS 4.3.3.0273 and QTS 4.3.3.0262 respectively.

Thanks,
frank

Post Reply

Return to “Linux & Unix (NFS)”